/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.dao.hibernate;

import com.rjconsultores.ventaboletos.dao.CategoriaMarcaDAO;
import com.rjconsultores.ventaboletos.entidad.CategoriaCtrl;
import com.rjconsultores.ventaboletos.entidad.CategoriaMarca;
import java.util.List;
import org.hibernate.Criteria;
import org.hibernate.SessionFactory;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

/**
 *
 * @author Administrador
 */
@Repository("categoriaMarcaDAO")
public class CategoriaMarcaHibernateDAO extends GenericHibernateDAO<CategoriaMarca, Integer>
        implements CategoriaMarcaDAO {

    @Autowired
    public CategoriaMarcaHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
        setSessionFactory(factory);
    }

    public CategoriaMarca busquedaPoCategoriaCtrl(CategoriaCtrl categoriaCtrl) {
        Criteria c = getSession().createCriteria(getPersistentClass());
        c.add(Restrictions.eq("categoriaCtrl", categoriaCtrl));

        return (CategoriaMarca) c.uniqueResult();
    }

    @Override
    public List<CategoriaMarca> obtenerTodos() {
        Criteria c = getSession().createCriteria(getPersistentClass());
        c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));

        return c.list();
    }
}
